Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.providers
Interface AuthenticationProvider

All Known Implementing Classes:
  AbstractUserDetailsAuthenticationProvider, AnonymousAuthenticationProvider, AuthByAdapterProvider, CasAuthenticationProvider, DaoAuthenticationProvider, JaasAuthenticationProvider, RememberMeAuthenticationProvider, RemoteAuthenticationProvider, RunAsImplAuthenticationProvider, TestingAuthenticationProvider, X509AuthenticationProvider

    public interface AuthenticationProvider

Indicates a class can process a specific `Authentication` implementation.

Version:
  $Id: AuthenticationProvider.java,v 1.5 2005/11/17 00:55:49 benalex Exp $
Author:
  Ben Alex

Method Summary
`Authentication` | `authenticate(Authentication authentication)` Performs authentication with the same contract as `AuthenticationManager.authenticate(Authentication)`.
`boolean` | `supports(Class authentication)` Returns `true` if this `AuthenticationProvider` supports the indicated `Authentication` object.

Method Detail

### authenticate

    Authentication authenticate(Authentication authentication)
                                throws AuthenticationException

  Performs authentication with the same contract as `AuthenticationManager.authenticate(Authentication)`.

  Parameters:
    `authentication` - the authentication request object.
  Returns:
    a fully authenticated object including credentials. May return `null` if the `AuthenticationProvider` is unable to support authentication of the passed `Authentication` object. In such a case, the next `AuthenticationProvider` that supports the presented `Authentication` class will be tried.
  Throws:
    `AuthenticationException` - if authentication fails.

### supports

    boolean supports(Class authentication)

  Returns `true` if this `AuthenticationProvider` supports the indicated `Authentication` object.

  Returning `true` does not guarantee an `AuthenticationProvider` will be able to authenticate the presented instance of the `Authentication` class. It simply indicates it can support closer evaluation of it. An `AuthenticationProvider` can still return `null` from the `authenticate(Authentication)` method to indicate another `AuthenticationProvider` should be tried.

  Selection of an `AuthenticationProvider` capable of performing authentication is conducted at runtime the `ProviderManager`.

  Returns:
    `true` if the implementation can more closely evaluate the `Authentication` class presented

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.